<solidify-empty-container (onEscape)="isEdit ? backToList() : backToDetail()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <div class="toolbar-wrapper-with-role">
    <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                    (backToDetailChange)="backToDetail()"
                                    (deleteChange)="delete()"
                                    (editChange)="edit()"
                                    [currentModel]="currentObs | async"
                                    [formPresentational]="formPresentational"
                                    [mode]="isEdit ? 'edit' : 'detail'"
                                    [editAvailable]="editAvailable"
                                    [deleteAvailable]="deleteAvailable"
    >
    </solidify-button-toolbar-detail>
    <dlcm-shared-resource-role-member-container *ngIf="(currentObs | async) as institution"
                                                [resource]="institution"
                                                [mode]="sharedResourceRoleMemberContainerMode.institution"
                                                class="role"
    ></dlcm-shared-resource-role-member-container>
  </div>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-institution-form #formPresentational
                                 *ngIf="isReadyToBeDisplayedObs | async"
                                 [editAvailable]="editAvailable"
                                 [model]="currentObs | async"
                                 [readonly]="!isEdit"
                                 [listRole]="listRoleObs | async"
                                 [listOrgUnits]="selectedOrgUnitsObs | async"
                                 [selectedPersonRole]="selectedPersonRoleObs | async"
                                 (checkAvailableChange)="checkAvailable($event)"
                                 (dirtyChange)="updateCanDeactivate($event)"
                                 (editChange)="edit()"
                                 (submitChange)="update($event)"
                                 (navigate)="navigate($event)"
    ></dlcm-admin-institution-form>

  </div>
</solidify-empty-container>


